=begin
###
Copyright 2015, TIG (c)
All rights reserved.
This software is provided "as is" and without any express or implied 
warranties, including, without limitation, the implied warranties of 
merchantability and fitness for a particular purpose.
###
Makes menu etc and Loads the _Code file.
###
=end
###
module TIG
  module ShadowProjector
	###
	unless file_loaded?(ME)
	  MENU = UI.menu("Tools").add_submenu(FNAME)
	  MENU.add_item(NEW){ self.new() }
	  MENU.add_item(REPORT_RC){ self.report() }
	  MENU.add_item(REPORT){ self.report(true) }
	  MENU.add_item(OPTIONS){ self.options() }
	  MENU.add_item(HELP){ self.help() }
	  ###
	  file_loaded(ME)
	end
	###
	CODE = File.join(FOLDER, "#{FNAME}_Code")
	Sketchup.load(CODE)
	###
  end#module
end#module
